aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README0
-rw-r--r--changelog0
-rw-r--r--changelog.Debian0
-rw-r--r--copyright0
-rwxr-xr-xpmwg-ci-dpkg34
-rw-r--r--pmwg-ci/DEBIAN/control9
-rwxr-xr-xpmwg-ci/DEBIAN/postinst1
-rwxr-xr-xpmwg-ci/DEBIAN/postrm1
8 files changed, 45 insertions, 0 deletions
diff --git a/README b/README
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/README
diff --git a/changelog b/changelog
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/changelog
diff --git a/changelog.Debian b/changelog.Debian
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/changelog.Debian
diff --git a/copyright b/copyright
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/copyright
diff --git a/pmwg-ci-dpkg b/pmwg-ci-dpkg
new file mode 100755
index 0000000..1ba5ed2
--- /dev/null
+++ b/pmwg-ci-dpkg
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+TAG=$(git describe --tags master)
+VERSION=${TAG:1}
+
+if [ $(id -u) -eq 0 ]; then
+ echo "This script can't be run as root"
+ exit 1
+fi
+
+git merge --no-edit $TAG
+
+mkdir -p ./pmwg-ci/usr/bin
+cp pmwg-ci-blame ./pmwg-ci/usr/bin
+cp pmwg-ci-config ./pmwg-ci/usr/bin
+cp pmwg-ci-integ ./pmwg-ci/usr/bin
+cp pmwg-ci-report ./pmwg-ci/usr/bin
+
+mkdir -p ./pmwg-ci/usr/share/doc
+cp README ./pmwg-ci/usr/share/doc
+cp copyright ./pmwg-ci/usr/share/doc
+cp changelog ./pmwg-ci/usr/share/doc
+cp changelog.Debian ./pmwg-ci/usr/share/doc
+
+mkdir -p ./pmwg-ci/etc
+cp pmwg-ci.conf ./pmwg-ci/etc
+
+sed -i "s/Version:.*/Version: $VERSION/" pmwg-ci/DEBIAN/control
+git add pmwg-ci/DEBIAN/control
+git commit -s -m "Setting version $VERSION in control file" pmwg-ci/DEBIAN/control
+
+dpkg-deb --build pmwg-ci pmwg-ci-$VERSION.deb
+
+rm -rf ./pmwg-ci/usr ./pmwg-ci/etc
diff --git a/pmwg-ci/DEBIAN/control b/pmwg-ci/DEBIAN/control
new file mode 100644
index 0000000..33818ad
--- /dev/null
+++ b/pmwg-ci/DEBIAN/control
@@ -0,0 +1,9 @@
+Package: pmwg-ci
+Version: 0.2-1-g4860f42
+Section: base
+Priority: optional
+Architecture: all
+Depends: bash, curl, git
+Maintainer: Daniel Lezcano <daniel.lezcano@linaro.org>
+Description: Provides a set of scripts to automatically merge remote branches
+ into a single one and push the result to a remote repository.
diff --git a/pmwg-ci/DEBIAN/postinst b/pmwg-ci/DEBIAN/postinst
new file mode 100755
index 0000000..cc1f786
--- /dev/null
+++ b/pmwg-ci/DEBIAN/postinst
@@ -0,0 +1 @@
+#!/bin/bash \ No newline at end of file
diff --git a/pmwg-ci/DEBIAN/postrm b/pmwg-ci/DEBIAN/postrm
new file mode 100755
index 0000000..cc1f786
--- /dev/null
+++ b/pmwg-ci/DEBIAN/postrm
@@ -0,0 +1 @@
+#!/bin/bash \ No newline at end of file